package cn.tsy.data.idsse.dsds.model.voyage;

import java.time.LocalDate;
import java.time.LocalDateTime;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * 航次信息表
 * 
 * @author: zxq
 * @date: 2024-05-13 23:55:43
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "VOYAGE_REG", key = "TSY_ID")
public class VoyageReg extends HmeBean {
	private static final long serialVersionUID = 198412630150672208L;
	private Integer tsy_id;
	// 航次名称
	private String voyage_name;
	// 科考船舶
	private String ship_name;
	// 是否涉密
	private String serect_status;
	// 航行开始日期
	private LocalDate voyage_start_date;
	// 航行结束日期
	private LocalDate voyage_end_date;
	// 航线描述
	private String voyage_remark;
	// 首席，用、分开
	private String voyage_officer;
	// 项目资助机构，用、分开
	private String funding_org;
	// 项目资助编号
	private String funding_code;
	// 导航文件名称
	private String navigation_file_name;
	// 创建时间
	private LocalDateTime create_time;
	// 航次状态
	private String voyage_status;
	// 状态变更时间
	private LocalDateTime voyage_status_time;
	// 航行里程
	private String voyage_mileage;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 航次名称
	 */
	public String getVoyage_name() {
		return this.voyage_name;
	}

	/****
	 * 航次名称
	 */
	public void setVoyage_name(String voyage_name) {
		this.voyage_name = voyage_name;
	}

	/****
	 * 科考船舶
	 */
	public String getShip_name() {
		return this.ship_name;
	}

	/****
	 * 科考船舶
	 */
	public void setShip_name(String ship_name) {
		this.ship_name = ship_name;
	}

	/****
	 * 是否涉密
	 */
	public String getSerect_status() {
		return this.serect_status;
	}

	/****
	 * 是否涉密
	 */
	public void setSerect_status(String serect_status) {
		this.serect_status = serect_status;
	}

	/****
	 * 航行开始日期
	 */
	public LocalDate getVoyage_start_date() {
		return this.voyage_start_date;
	}

	/****
	 * 航行开始日期
	 */
	public void setVoyage_start_date(LocalDate voyage_start_date) {
		this.voyage_start_date = voyage_start_date;
	}

	/****
	 * 航行结束日期
	 */
	public LocalDate getVoyage_end_date() {
		return this.voyage_end_date;
	}

	/****
	 * 航行结束日期
	 */
	public void setVoyage_end_date(LocalDate voyage_end_date) {
		this.voyage_end_date = voyage_end_date;
	}

	/****
	 * 航线描述
	 */
	public String getVoyage_remark() {
		return this.voyage_remark;
	}

	/****
	 * 航线描述
	 */
	public void setVoyage_remark(String voyage_remark) {
		this.voyage_remark = voyage_remark;
	}

	/****
	 * 首席，用、分开
	 */
	public String getVoyage_officer() {
		return this.voyage_officer;
	}

	/****
	 * 首席，用、分开
	 */
	public void setVoyage_officer(String voyage_officer) {
		this.voyage_officer = voyage_officer;
	}

	/****
	 * 项目资助机构，用、分开
	 */
	public String getFunding_org() {
		return this.funding_org;
	}

	/****
	 * 项目资助机构，用、分开
	 */
	public void setFunding_org(String funding_org) {
		this.funding_org = funding_org;
	}

	/****
	 * 项目资助编号
	 */
	public String getFunding_code() {
		return this.funding_code;
	}

	/****
	 * 项目资助编号
	 */
	public void setFunding_code(String funding_code) {
		this.funding_code = funding_code;
	}

	/****
	 * 导航文件名称
	 */
	public String getNavigation_file_name() {
		return this.navigation_file_name;
	}

	/****
	 * 导航文件名称
	 */
	public void setNavigation_file_name(String navigation_file_name) {
		this.navigation_file_name = navigation_file_name;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 航次状态
	 */
	public String getVoyage_status() {
		return this.voyage_status;
	}

	/****
	 * 航次状态
	 */
	public void setVoyage_status(String voyage_status) {
		this.voyage_status = voyage_status;
	}

	/****
	 * 状态变更时间
	 */
	public LocalDateTime getVoyage_status_time() {
		return this.voyage_status_time;
	}

	/****
	 * 状态变更时间
	 */
	public void setVoyage_status_time(LocalDateTime voyage_status_time) {
		this.voyage_status_time = voyage_status_time;
	}

	/****
	 * 航行里程
	 */
	public String getVoyage_mileage() {
		return this.voyage_mileage;
	}

	/****
	 * 航行里程
	 */
	public void setVoyage_mileage(String voyage_mileage) {
		this.voyage_mileage = voyage_mileage;
	}
}